Bug 124631 - system-config-network-gui crashes when changing profiles
system-config-network-gui crashes when changing profiles
Status: CLOSED DUPLICATE of bug 121862
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 21:47 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-05-27 21:47:56 EDT
Description of problem:

I have two profiles with different configurations for eth0.
The following steps are crashing neat quite consistently
  - deactivate eth0 in an active profile
  - try to pick from a menu another profile
  - boom ....
After a restart interfaces are inactive and it is possible
to change a profile and start a corresponding configuration.
Here is a backtrace:

Component: system-config-network
Version: 1.3.16
Summary: TB613f503b maindialog.py:531:hydrateIPsec:AttributeError:
'NoneType' object has no attribute 'clear'
Traceback (most recent call last):
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 1037, in on_profileMenuItem_activated
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 420, in hydrate
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 531, in hydrateIPsec
AttributeError: 'NoneType' object has no attribute 'clear'

Local variables in innermost frame:
clist: None
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xf6de012c>
ipseclist: 

Version-Release number of selected component (if applicable):
system-config-network-1.3.16-1

How reproducible:
Practically always although maybe incidentally one can sneak
through
Comment 1 Harald Hoyer 2004-05-28 04:13:31 EDT

*** This bug has been marked as a duplicate of 121862 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:03:50 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.